=== debian/changelog ===
ros-indigo-graph-msgs (0.1.0-0trusty) trusty; urgency=high

  * Added header / timestamp
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 24 Oct 2014 06:00:00 -0000

ros-indigo-graph-msgs (0.0.3-0trusty) trusty; urgency=high

  * Release to indigo
  * Spelling fix
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 30 May 2014 06:00:00 -0000

ros-indigo-graph-msgs (0.0.2-0trusty) trusty; urgency=high

  * Initial commit

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Apr 2014 06:00:00 -0000
